Debian Bug report logs - #645894
python-enchant: Please drop alternative dependency on python-wxgtk2.6

version graph

Package: python-enchant; Maintainer for python-enchant is Piotr Ożarowski <piotr@debian.org>; Source for python-enchant is src:pyenchant.

Reported by: Olly Betts <olly@survex.com>

Date: Wed, 19 Oct 2011 11:42:02 UTC

Severity: minor

Found in version pyenchant/1.6.5-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Piotr Ożarowski <piotr@debian.org>:
Bug#645894; Package python-enchant. (Wed, 19 Oct 2011 11:43:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olly Betts <olly@survex.com>:
New Bug report received and forwarded. Copy sent to Piotr Ożarowski <piotr@debian.org>. (Wed, 19 Oct 2011 11:43:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: submit@bugs.debian.org
Subject: python-enchant: Please drop alternative dependency on python-wxgtk2.6
Date: Thu, 20 Oct 2011 00:39:28 +1300
Package: python-enchant
Version: 1.6.5-2
Severity: minor
User: freewx-maint@lists.alioth.debian.org
Usertags: wx2.6to2.8

I'm trying to get packages to migrate from wxwidgets2.6 to wxwidgets2.8
so we can remove the former from the archive - it's no longer supported
upstream, and wxwidgets3.0 is supposed to be out early next year.

Currently python-enchant suggests python-wxgtk2.6|python-wxgtk2.8.
However the upstream code doesn't use wxversion to specify any
preference as to the wx versions to use, which means it will already get
run with 2.8 if both versions are installed and the user hasn't changed
the wx.pth alternative setting from the default.

Since python-wxgtk2.8 has more than twice as many popcon installations
as python-wxgtk2.6, the reality is that many users will have been
running with 2.8 for some time already, so dropping the alternative
dependency on python-wxgtk2.6 should be a painless change.

If you'd like me to NMU this change, please just let me know.

Cheers,
    Olly




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:01:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.